Package net.commoble.jumbofurnace.jumbo_furnace

# Class JumboFurnaceOutputSlot

java.lang.Object
net.minecraft.world.inventory.Slot
net.neoforged.neoforge.world.inventory.StackCopySlot
net.neoforged.neoforge.transfer.item.ResourceHandlerSlot
net.commoble.jumbofurnace.jumbo_furnace.JumboFurnaceOutputSlot

public class JumboFurnaceOutputSlot extends net.neoforged.neoforge.transfer.item.ResourceHandlerSlot

## Field Summary

### Fields inherited from class net.minecraft.world.inventory.Slot

`container, x, y`

## Constructor Summary

Constructors
Constructor
Description
`JumboFurnaceOutputSlot(net.minecraft.world.entity.player.Player player, net.neoforged.neoforge.transfer.item.ItemStacksResourceHandler itemHandler, int index, int xPosition, int yPosition)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`checkTakeAchievements(net.minecraft.world.item.ItemStack stack)`
the itemStack passed in is the output - ie, iron ingots, and pickaxes, not ore and wood.
`protected void`
`onQuickCraft(net.minecraft.world.item.ItemStack stack, int amount)`
the itemStack passed in is the output - ie, iron ingots, and pickaxes, not ore and wood.
`void`
`onTake(net.minecraft.world.entity.player.Player thePlayer, net.minecraft.world.item.ItemStack stack)`
`static void`
`spawnExpOrbs(net.minecraft.world.entity.player.Player player, float experience)`

### Methods inherited from class net.neoforged.neoforge.transfer.item.ResourceHandlerSlot

`getMaxStackSize, getMaxStackSize, getResourceHandler, getStackCopy, isSameInventory, mayPickup, mayPlace, onQuickCraft, setStackCopy`

### Methods inherited from class net.neoforged.neoforge.world.inventory.StackCopySlot

`getItem, remove, set, setChanged`

### Methods inherited from class net.minecraft.world.inventory.Slot

`allowModification, getContainerSlot, getNoItemIcon, getSlotIndex, hasItem, isActive, isFake, isHighlightable, onSwapCraft, safeInsert, safeInsert, safeTake, setBackground, setByPlayer, setByPlayer, tryRemove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JumboFurnaceOutputSlot

public JumboFurnaceOutputSlot(net.minecraft.world.entity.player.Player player, net.neoforged.neoforge.transfer.item.ItemStacksResourceHandler itemHandler, int index, int xPosition, int yPosition)

## Method Details

### onTake

public void onTake(net.minecraft.world.entity.player.Player thePlayer, net.minecraft.world.item.ItemStack stack)

Overrides:
  `onTake` in class `net.minecraft.world.inventory.Slot`

### onQuickCraft

protected void onQuickCraft(net.minecraft.world.item.ItemStack stack, int amount)
the itemStack passed in is the output - ie, iron ingots, and pickaxes, not ore and wood. Typically increases an internal count then calls onCrafting(item).

Overrides:
  `onQuickCraft` in class `net.minecraft.world.inventory.Slot`

### checkTakeAchievements

protected void checkTakeAchievements(net.minecraft.world.item.ItemStack stack)
the itemStack passed in is the output - ie, iron ingots, and pickaxes, not ore and wood.

Overrides:
  `checkTakeAchievements` in class `net.minecraft.world.inventory.Slot`

### spawnExpOrbs

public static void spawnExpOrbs(net.minecraft.world.entity.player.Player player, float experience)